.TH jrand48() "" "" "Random-Number Function (libc)"
.PC "Return a 48-bit pseudo-random number as a long integer"
\fBlong jrand48(\fIxsubi\^\fB)\fR
\fBunsigned short \fIxsubi\^\fB[3];\fR
.PP
Function
.B jrand48()
generates a 48-bit pseudo-random number, and returns its upper 32 bits
in the form of a
.BR long .
The value returned is (or should be) uniformly distributed throughout the
range of \-2^31 through 2^31.
.I xsubi
is an array of three unsigned short integers from
which the pseudo-random number is built.
.SH "See Also"
.Xr "libc," libc
.Xr "srand48()" srand48
